#32/64bit

Name:     gmail-backup
Version:  20110307
Release:  %mkrel 1

Summary:  Gmail Backup
URL:      https://code.google.com/p/gmail-backup-com/
Source0:  %{name}-%{version}.tar.xz
Source1: %{name}.png
License:  GPLv3
Patch: %{name}-python2.7.patch
Group:    Graphical desktop/Other
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: desktop-file-utils
Requires: python >= 2.7
Requires: wxPythonGTK


%description
Gmail Backup allows to backup and restore the content of your Gmail account. 
It uses the IMAP protocol to fetch and store your messages. It can also be 
used to migrate your messages between two accounts, for example between your 
private inbox and the Google Apps acount. 

%prep
%setup -q 
%patch -p1


%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT
# data
install -dm 777 $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r * $RPM_BUILD_ROOT/%{_datadir}/%{name}


# launcher
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_datadir}/%{name}/%{name}-gui.py
EOF
%__chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

# desktop
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Gmail Backup
Exec=%{name}
Icon=%{name}
Categories=GTK;Network;X-MandrivaLinux-Internet-Mail;
StartupNotify=true
Terminal=false
Type=Application
Name[en_US]=Gmail Backup
X-GNOME-Autostart-enabled=true
Comment[en_US.UTF-8]=Gmail backup tool.
EOF



# icon
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %SOURCE1 \
$RPM_BUILD_ROOT/%{_datadir}/pixmaps



%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/%{name}
%{_datadir}/pixmaps/%{name}.png
%_datadir/applications/*.desktop


%changelog
* Sat May 03 2014 Ken <lxgator at gmail.com> 20110307-1pclos2014
- Create pkg

